<?php

namespace Intranet\GestioAulesBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;


class InserirAlumnesType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $usuari = $options['empty_data'];
        $builder
            ->add ('alumnes', EntityType::class, array(
                'class' => 'IntranetBundle:Usuari',
                'multiple' => true,
                'query_builder' => function($er) use ($usuari){
                    return $er->createQueryBuilder('u')->innerJoin('u.rols', 'r')->where('r.rol = :rol')->setParameter('rol', 'ROLE_ALUMNE')->orderBy('u.cognom1', 'ASC');
                },
                'choice_label' => function($usuari){
                    return $usuari->getCognom1()." ".$usuari->getCognom2(). ", ".$usuari->getNom();
                },
                'label' => 'Professor',
                'attr' => array(
                    'class' => 'form-control'
                )
            ))
            ->add('Crear aula', SubmitType::class, array(
                'attr' => array(
                    'class' => 'form-submit form-control'
                )
            ));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'Intranet\IntranetBundle\Entity\Aula'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'intranet_gestioaulesbundle_aula';
    }


}
