<?php

namespace Intranet\GestioUsuarisBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;

class CrearUsuariType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('dni', TextType::class, array(
                'label' => 'DNI',
                'required' => false,
                'attr' => array(
                    'class' => 'form-phone form-control'
                )
            ))
            ->add('contrasenya', PasswordType::class, array(
                'label' => 'Contrasenya',
                'required' => false,
                'attr' => array(
                    'class' => 'form-password form-control'
                )
            ))
            ->add('nom', TextType::class, array(
                'label' => 'Nom',
                'required' => false,
                'attr' => array(
                    'class' => 'form-nom form-control'
                )
            ))
            ->add('cognom1', TextType::class, array(
                'label' => '1er Cognom',
                'required' => false,
                'attr' => array(
                    'class' => 'form-cognom1 form-control'
                )
            ))
            ->add('cognom2', TextType::class, array(
                'label' => '2on Cognom',
                'required' => false,
                'attr' => array(
                    'class' => 'form-phone form-control'
                )
            ))

            ->add('mail_extern', EmailType::class, array(
                'label' => 'Correu extern',
                'required' => false,
                'attr' => array(
                    'class' => 'form-email form-control'
                )
            ))

            ->add('telefon', TextType::class, array(
                'label' => 'Telefon 1',
                'required' => false,
                'attr' => array(
                    'class' => 'form-phone form-control'
                )
            ))
            ->add('direccio', TextType::class, array(
                'label' => 'Adreça',
                'required' => false,
                'attr' => array(
                    'class' => 'form-path form-control'
                )
            ))
            ->add('codi_postal', TextType::class, array(
                'label' => 'Codi postal',
                'required' => false,
                'attr' => array(
                    'class' => 'form-postal form-control'
                )
            ))
            ->add('ciutat', TextType::class, array(
                'label' => 'Ciutat',
                'required' => false,
                'attr' => array(
                    'class' => 'form-city form-control'
                )
            ))
            ->add('pais', TextType::class, array(
                'label' => 'Pais',
                'required' => false,
                'attr' => array(
                    'class' => 'form-country form-control'
                )
            ))

            ->add('Crear usuari', SubmitType::class, array(
                'attr' => array(
                    'class' => 'form-submit form-control'
                )
            ));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'Intranet\IntranetBundle\Entity\Usuari'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'intranet_gestiousuarisbundle_usuari';
    }


}
