<?php

namespace Intranet\IntranetBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Security\Core\Security;
use Symfony\Component\HttpFoundation\Response;

class LoginController extends Controller
{
    /**
     * Funció que és carrega a l'inici. Generea la vista inicial del formulari d'acces
     * @return Response
     */
    public function homepageAction()
    {
        $response = $this->forward('IntranetBundle:Login:index');
        return $response;
    }

    /**
     * Funció que comprova si l'usuari que intenta accedir existeix, i si la seva clau és correcte.
     * Aquesta funcionalitat s'ha de configurar a través de l'arxiu security.yml
     * @param Request $request
     * @return \Symfony\Component\HttpFoundation\RedirectResponse|Response
     */
    public function indexAction(Request $request)
    {
        if ( $this->get('security.authorization_checker')->isGranted('IS_AUTHENTICATED_FULLY')) {
            return $this->redirect($this->generateUrl('intranet_portada'));
        }else {
            $sessio = $request->getSession();

            $error = $request->attributes->get(
                Security::AUTHENTICATION_ERROR,
                $sessio->get(Security::AUTHENTICATION_ERROR)
            );

            return $this->render('IntranetBundle:Default:login.html.twig', array(
                'last_username' => $sessio->get(Security::LAST_USERNAME),
                'error' => $error
            ));
        }

    }
}
