<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 07/03/2017
 * Time: 17:08
 */
namespace IntranetBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Symfony\Component\DependencyInjection\ContainerAwareInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Intranet\IntranetBundle\Entity\Usuari;


class CargarUsuaris extends AbstractFixture implements OrderedFixtureInterface, ContainerAwareInterface
{
    public function getOrder()
    {
        return 2;
    }

    /**
     * @var ContainerInterface
     */
    private $container;

    public function setContainer(ContainerInterface $container = null)
    {
        $this->container = $container;
    }
    /**
     * Load data fixtures with the passed EntityManager
     *
     * @param ObjectManager $manager
     */

    public function load(ObjectManager $manager)
    {
        /*
         * Inserim usuari gestor-professor-alumne
         */
        $usuari_gpa = new Usuari();
        $usuari_gpa->setDni('12345678A');
        $encoder = $this->container->get('security.password_encoder');
        $encoded = $encoder->encodePassword($usuari_gpa,'123456');
        $usuari_gpa->setContrasenya($encoded);
        $usuari_gpa->setNom('Andreu');
        $usuari_gpa->setCognom1('Calvo');
        $usuari_gpa->setCognom2('Roy');
        $usuari_gpa->setTelefon('666666666');
        $usuari_gpa->setDireccio('C/Adressa');
        $usuari_gpa->setCodiPostal('08000');
        $usuari_gpa->setCiutat('Barcelona');
        $usuari_gpa->setPais('Catalunya');
        $usuari_gpa->setBiografia('Hola');
        $usuari_gpa->setMailExtern('andreu@andreu.cat');
        $rol_gestor  = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_GESTOR');
        $usuari_gpa->addRol($rol_gestor);
        $rol_alumne  = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_ALUMNE');
        $usuari_gpa->addRol($rol_alumne);
        $rol = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_PROFESSOR');
        $usuari_gpa->addRol($rol);
        $manager -> persist($usuari_gpa);

        /*
         * Inserir usuari gestor
         */
        $usuari_g = new Usuari();
        $usuari_g->setDni('12345678B');
        $encoder = $this->container->get('security.password_encoder');
        $encoded = $encoder->encodePassword($usuari_g,'123456');
        $usuari_g->setContrasenya($encoded);
        $usuari_g->setNom('Ramon');
        $usuari_g->setCognom1('Calvo');
        $usuari_g->setCognom2('Alemany');
        $usuari_g->setTelefon('666666666');
        $usuari_g->setDireccio('C/Adressa');
        $usuari_g->setCodiPostal('08001');
        $usuari_g->setCiutat('Barcelona');
        $usuari_g->setPais('Catalunya');
        $usuari_g->setBiografia('Hola');
        $usuari_g->setMailExtern('ramon@ramon.cat');
        $rol  = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_GESTOR');
        $usuari_g->addRol($rol);
        $manager -> persist($usuari_g);

        /*
         * Inserir usuari professor
         */
        $usuari_p = new Usuari();
        $usuari_p->setDni('12345678C');
        $encoder = $this->container->get('security.password_encoder');
        $encoded = $encoder->encodePassword($usuari_p,'123456');
        $usuari_p->setContrasenya($encoded);
        $usuari_p->setNom('Roser');
        $usuari_p->setCognom1('Bresco');
        $usuari_p->setCognom2('Comalat');
        $usuari_p->setTelefon('666666666');
        $usuari_p->setDireccio('C/Adressa');
        $usuari_p->setCodiPostal('08002');
        $usuari_p->setCiutat('Barcelona');
        $usuari_p->setPais('Catalunya');
        $usuari_p->setBiografia('Hola');
        $usuari_p->setMailExtern('roser@roser.cat');
        $rol = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_PROFESSOR');
        $usuari_p->addRol($rol);
        $manager -> persist($usuari_p);

        /*
         * Inserir usuari alumne
         */
        $usuari_a = new Usuari();
        $usuari_a->setDni('12345678D');
        $encoder = $this->container->get('security.password_encoder');
        $encoded = $encoder->encodePassword($usuari_a,'123456');
        $usuari_a->setContrasenya($encoded);
        $usuari_a->setNom('Sara');
        $usuari_a->setCognom1('Roy');
        $usuari_a->setCognom2('Escribano');
        $usuari_a->setTelefon('666666666');
        $usuari_a->setDireccio('C/Adressa');
        $usuari_a->setCodiPostal('08003');
        $usuari_a->setCiutat('Barcelona');
        $usuari_a->setPais('Catalunya');
        $usuari_a->setBiografia('Hola');
        $usuari_a->setMailExtern('sara@sara.cat');
        $rol  = $manager->getRepository('IntranetBundle:Rol')->find('ROLE_ALUMNE');
        $usuari_a->addRol($rol);
        $manager -> persist($usuari_a);

        $manager ->flush();

    }
}