<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 27/03/2017
 * Time: 13:33
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class Publicacio
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\AulaRepository")
 * @ORM\Table(name="IntranetBundle_Aules")
 */
class Aula
{

    /**
     * @ORM\id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue
     */
    protected $id;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $nom;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $descripcio;

    /**
     * @ORM\OneToMany(targetEntity="Publicacio", mappedBy="aula")
     */
    protected $publicacions_aula;

    /**
     * @ORM\ManyToOne(targetEntity="Usuari", inversedBy="aula_creada")
     * @ORM\JoinColumn(name="gestor", referencedColumnName="dni")
     */
    protected $gestorCreador;

    /**
     * @ORM\ManyToOne(targetEntity="Usuari", inversedBy="aula_gestionada")
     * @ORM\JoinColumn(name="professor", referencedColumnName="dni")
     */
    protected $professorResponsable;

    /**
     * @ORM\ManyToMany(targetEntity="Intranet\IntranetBundle\Entity\Usuari")
     * @ORM\JoinTable(name="IntranetBundle_Participants_Aula",
     *      joinColumns={@ORM\JoinColumn(name="aula", referencedColumnName="id", )},
     *      inverseJoinColumns={@ORM\JoinColumn(name="alumne", referencedColumnName="dni")}
     *      )
     */
    protected $alumnes;


    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getDescripcio()
    {
        return $this->descripcio;
    }

    /**
     * @param mixed $contingut
     */
    public function setDescripcio($descripcio)
    {
        $this->descripcio = $descripcio;
    }

    /**
     * @return mixed
     */
    public function getAlumnes()
    {
        return $this->alumnes->toArray();
    }

    /**
     * @return mixed
     */
    public function getGestorCreador()
    {
        return $this->gestorCreador;
    }

    /**
     * @param mixed $gestorCreador
     */
    public function setGestorCreador($gestorCreador)
    {
        $this->gestorCreador = $gestorCreador;
    }

    /**
     * @return mixed
     */
    public function getProfessorResponsable()
    {
        return $this->professorResponsable;
    }

    /**
     * @param mixed $professorResponsable
     */
    public function setProfessorResponsable($professorResponsable)
    {
        $this->professorResponsable = $professorResponsable;
    }

    /**
     * @return mixed
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * @param mixed $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }



    /**
     * @param
     */
    public function addAlumne(Usuari $alumne)
    {
        if ($this->alumnes->contains($alumne)) {
            return;
        }
        $this->alumnes->add($alumne);
    }

    /**
     * @param
     */
    public function removeAlumne(Usuari $alumne)
    {
        if (!$this->alumnes->contains($alumne)) {
            return;
        }
        $this->alumnes->removeElement($alumne);
    }

    public function __toString()
    {
        return $this->getDescripcio();
    }

    public function __construct()
    {
        $this->alumnes = new ArrayCollection();
    }

}