<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 03/04/2017
 * Time: 08:49
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\EntityRepository;


class AulaRepository extends EntityRepository
{
    public function buscarTotesAules(){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
          SELECT a FROM IntranetBundle:Aula a 
        ' );
        return $consulta->getResult();
    }

    public function crearAula($nom ,$descripcio, $gestor, $professor){
        $em = $this->getEntityManager();
        $aula = new Aula();
        $aula->setNom($nom);
        $aula->setDescripcio($descripcio);
        $aula->setGestorCreador($gestor);
        $aula->setProfessorResponsable($professor);
        $em -> persist($aula);
        $em ->flush();
    }

    public function buscarAulaPerId($id){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT a FROM IntranetBundle:Aula a
            WHERE a.id = :id');
        $consulta->setParameter('id', $id);
        return $consulta->getOneOrNullResult();
    }

    public function buscarAulesProfessor($professor){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT a FROM IntranetBundle:Aula a
            WHERE a.professorResponsable = :professor');
        $consulta->setParameter('professor', $professor);
        return $consulta->getResult();
    }

    public function buscarAulesAlumne($alumne){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT a FROM IntranetBundle:Aula a
            INNER JOIN a.alumnes al
            WHERE al = :alumne');
        $consulta->setParameter('alumne', $alumne);
        return $consulta->getResult();
    }

}