<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 27/03/2017
 * Time: 12:49
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Missatge
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\MissatgeRepository")
 * @ORM\Table(name="IntranetBundle_Missatges")
 */
class Missatge
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length = 30, nullable=false)
     */
    protected $titol;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $contingut;

    /**
     * @ORM\ManyToOne(targetEntity="Intranet\IntranetBundle\Entity\Usuari", inversedBy="missatge_emissor")
     * @ORM\JoinColumn(name="emissor_id", referencedColumnName="dni")
     */
    protected $emissor;

    /**
     * @ORM\ManyToOne(targetEntity="Intranet\IntranetBundle\Entity\Usuari", inversedBy="missatge_receptor")
     * @ORM\JoinColumn(name="receptor_id", referencedColumnName="dni")
     */
    protected $receptor;

    /**
     * @ORM\Column(type="string", length = 255, nullable=true)
     */
    protected $arxiu;

    /**
     * @ORM\Column(type="boolean", nullable=false)
     */
    protected $llegit;

    /**
     * @ORM\Column(type="datetime", nullable=false)
     */
    protected $data_creacio;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getTitol()
    {
        return $this->titol;
    }

    /**
     * @param mixed $titol
     */
    public function setTitol($titol)
    {
        $this->titol = $titol;
    }

    /**
     * @return mixed
     */
    public function getContingut()
    {
        return $this->contingut;
    }

    /**
     * @param mixed $contingut
     */
    public function setContingut($contingut)
    {
        $this->contingut = $contingut;
    }

    /**
     * @return mixed
     */
    public function getEmissor()
    {
        return $this->emissor;
    }

    /**
     * @param mixed $emissor
     */
    public function setEmissor($emissor)
    {
        $this->emissor = $emissor;
    }

    /**
     * @return mixed
     */
    public function getReceptor()
    {
        return $this->receptor;
    }

    /**
     * @param mixed $receptor
     */
    public function setReceptor($receptor)
    {
        $this->receptor = $receptor;
    }

    /**
     * @return mixed
     */
    public function getArxiu()
    {
        return $this->arxiu;
    }

    /**
     * @param mixed $arxiu
     */
    public function setArxiu($arxiu)
    {
        $this->arxiu = $arxiu;
    }

    /**
     * @return mixed
     */
    public function getLlegit()
    {
        return $this->llegit;
    }

    /**
     * @param mixed $llegit
     */
    public function setLlegit($llegit)
    {
        $this->llegit = $llegit;
    }

    /**
     * @return mixed
     */
    public function getDataCreacio()
    {
        return $this->data_creacio;
    }

    /**
     * @param mixed $data_creacio
     */
    public function setDataCreacio($data_creacio)
    {
        $this->data_creacio = $data_creacio;
    }



    public function __toString()
    {
        return $this->getTitol(). " / ". $this->getDataCreacio();
    }

}