<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 03/04/2017
 * Time: 08:49
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\EntityRepository;


class MissatgeRepository extends EntityRepository
{
    public function buscarMissatgesEnviatsQuery($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT m FROM IntranetBundle:Missatge m
            WHERE m.emissor = :usuari
            ORDER BY m.id DESC');
        $consulta->setParameter('usuari',$usuari);
        return $consulta;
    }

    public function buscarMissatgesRebutsQuery($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT m FROM IntranetBundle:Missatge m
            WHERE m.receptor = :usuari
            ORDER BY m.id DESC');
        $consulta->setParameter('usuari',$usuari);
        return $consulta;
    }

    public function buscarNumeroMissatgesNoLlegits($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            SELECT COUNT(m) FROM IntranetBundle:Missatge m 
            WHERE m.receptor = :usuari
            AND m.llegit = :llegit' );
        $consulta->setParameter('usuari',$usuari);
        $consulta->setParameter('llegit',0);
        return $consulta->getResult();
    }

    public function marcarMissatgeComLlegit($id){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
            UPDATE IntranetBundle:Missatge m 
            SET  m.llegit = :llegit
            WHERE m.id= :id' );
        $consulta->setParameter('llegit',1);
        $consulta->setParameter('id',$id);

        $consulta->execute();

    }
}