<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 03/04/2017
 * Time: 08:49
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\EntityRepository;


class NotificacioRepository extends EntityRepository
{
    public function buscarNotificacionsUsuariQuery($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
        SELECT n FROM IntranetBundle:Notificacio n 
        WHERE n.usuari = :usuari
        ORDER BY n.data_creacio DESC' );
        $consulta->setParameter('usuari',$usuari);
        return $consulta;
    }

    public function buscarNotificacionsUsuari($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
        SELECT n FROM IntranetBundle:Notificacio n 
        WHERE n.usuari = :usuari
        ORDER BY n.data_creacio DESC' );
        $consulta->setParameter('usuari',$usuari);
        return $consulta->getResult();
    }

    public function buscarNumeroNotificacionsUsuariNoLlegides($usuari){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
        SELECT COUNT(n) FROM IntranetBundle:Notificacio n 
        WHERE n.usuari = :usuari
        AND n.llegit = :llegit
        ORDER BY n.data_creacio DESC' );
        $consulta->setParameter('usuari',$usuari);
        $consulta->setParameter('llegit',0);
        return $consulta->getResult();
    }

    public function eliminarNotificacio($id){
        $em = $this->getEntityManager();
        $consulta = $em->createQuery('
        DELETE IntranetBundle:Notificacio n 
        WHERE n.id = :id' );
        $consulta->setParameter('id',$id);
        $consulta->execute();

    }
}