<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 27/03/2017
 * Time: 13:33
 */

namespace Intranet\IntranetBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Publicacio
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\PublicacioRepository")
 * @ORM\Table(name="IntranetBundle_Publicacions")
 */
class Publicacio
{

    /**
     * @ORM\id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="Usuari", inversedBy="publicacio_creador")
     * @ORM\JoinColumn(name="professor", referencedColumnName="dni")
     */
    protected $professor;

    /**
     * @ORM\ManyToOne(targetEntity="Aula", inversedBy="publicacions_aula")
     * @ORM\JoinColumn(name="aula", referencedColumnName="id")
     */
    protected $aula;

    /**
     * @ORM\OneToMany(targetEntity="Resposta", mappedBy="publicacioPare")
     */
    protected $respostes;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $titol;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $contingut;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    protected $arxiu;


    /**
     * @ORM\Column(type="datetime", nullable=false)
     */
    protected $data_creacio;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getProfessor()
    {
        return $this->professor;
    }

    /**
     * @param mixed $professor
     */
    public function setProfessor($professor)
    {
        $this->professor = $professor;
    }

    /**
     * @return mixed
     */
    public function getAula()
    {
        return $this->aula;
    }

    /**
     * @param mixed $aula
     */
    public function setAula($aula)
    {
        $this->aula = $aula;
    }

    /**
     * @return mixed
     */
    public function getTitol()
    {
        return $this->titol;
    }

    /**
     * @param mixed $titol
     */
    public function setTitol($titol)
    {
        $this->titol = $titol;
    }

    /**
     * @return mixed
     */
    public function getContingut()
    {
        return $this->contingut;
    }

    /**
     * @param mixed $contingut
     */
    public function setContingut($contingut)
    {
        $this->contingut = $contingut;
    }

    /**
     * @return mixed
     */
    public function getArxiu()
    {
        return $this->arxiu;
    }

    /**
     * @param mixed $arxiu
     */
    public function setArxiu($arxiu)
    {
        $this->arxiu = $arxiu;
    }

    /**
     * @return mixed
     */
    public function getDataCreacio()
    {
        return $this->data_creacio;
    }

    /**
     * @param mixed $data_creacio
     */
    public function setDataCreacio($data_creacio)
    {
        $this->data_creacio = $data_creacio;
    }

    /**
     * @return mixed
     */
    public function getRespostes()
    {
        return $this->respostes;
    }

    /**
     * @param mixed $respostes
     */
    public function setRespostes($respostes)
    {
        $this->respostes = $respostes;
    }



    public function __toString()
    {
        return $this->getContingut();
    }

}