<?php
/**
 * Created by PhpStorm.
 * User: andreu-calvo
 * Date: 07/03/2017
 * Time: 16:32
 */
namespace Intranet\IntranetBundle\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Symfony\Component\Security\Core\User\UserInterface;
use Doctrine\ORM\Mapping as ORM;


/**
 * Usuari
 *
 * @ORM\Entity(repositoryClass="Intranet\IntranetBundle\Entity\UsuariRepository")
 * @ORM\Table(name="IntranetBundle_Usuaris")
 */
class Usuari implements UserInterface{
    /**
     * @ORM\Id
     * @ORM\Column(type="string", length=10)
     */
    protected $dni;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $nom;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $contrasenya;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $cognom1;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $cognom2;

    /**
     * @ORM\Column(type="string", length=12)
     */
    protected $telefon;

    /**
     * @ORM\Column(type="string", length=255)
     */
    protected $direccio;

    /**
     * @ORM\Column(type="string", length=8)
     */
    protected $codi_postal;

    /**
     * @ORM\Column(type="string", length=32)
     */
    protected $ciutat;

    /**
     * @ORM\Column(type="string", length=32)
     */
    protected $pais;

    /**
     * @ORM\Column(type="string", length=1000)
     */
    protected $biografia;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    protected $imatge;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $mail_extern;

    /**
     * @ORM\ManyToMany(targetEntity="Intranet\IntranetBundle\Entity\Rol")
     * @ORM\JoinTable(name="IntranetBundle_Usuari_Rols",
     *      joinColumns={@ORM\JoinColumn(name="usuari", referencedColumnName="dni", )},
     *      inverseJoinColumns={@ORM\JoinColumn(name="rol", referencedColumnName="rol")}
     *      )
     */
    protected $rols;


    /**
     * @ORM\OneToMany(targetEntity="Intranet\IntranetBundle\Entity\Missatge", mappedBy="emissor")
     */
    protected $missatge_emissor;

    /**
     * @ORM\OneToMany(targetEntity="Intranet\IntranetBundle\Entity\Missatge", mappedBy="receptor")
     */
    protected $missatge_receptor;

    /**
     * @ORM\OneToMany(targetEntity="Publicacio", mappedBy="professor")
     */
    protected $publicacio_creador;

    /**
     * @ORM\OneToMany(targetEntity="Resposta", mappedBy="alumneCreador")
     */
    protected $resposta_creador;

    /**
     * @ORM\OneToMany(targetEntity="Notificacio", mappedBy="usuari")
     */
    protected $notificacio_usuari;

    /**
     * @ORM\OneToMany(targetEntity="Aula", mappedBy="gestorCreador")
     */
    protected $aula_creada;

    /**
     * @ORM\OneToMany(targetEntity="Aula", mappedBy="professorResponsable")
     */
    protected $aula_gestionada;


    /**
     * @return mixed
     */
    public function getDni()
    {
        return $this->dni;
    }

    /**
     * @param mixed $dni
     */
    public function setDni($dni)
    {
        $this->dni = $dni;
    }

    /**
     * @return mixed
     */
    public function getContrasenya()
    {
        return $this->contrasenya;
    }

    /**
     * @param mixed $contrasenya
     */
    public function setContrasenya($contrasenya)
    {
        $this->contrasenya = $contrasenya;
    }

    /**
     * @return mixed
     */
    public function getMailExtern()
    {
        return $this->mail_extern;
    }

    /**
     * @param mixed $mail_extern
     */
    public function setMailExtern($mail_extern)
    {
        $this->mail_extern = $mail_extern;
    }


    /**
     * @return mixed
     */
    public function getRols()
    {
        return $this->rols->toArray();
    }

    /**
     * @param
     */
    public function addRol(Rol $rol)
    {
        if ($this->rols->contains($rol)) {
            return;
        }
        $this->rols->add($rol);
    }

    /**
     * @param
     */
    public function removeRol(Rol $rol)
    {
        if (!$this->rols->contains($rol)) {
            return;
        }
        $this->rols->removeElement($rol);
    }



    /**
     * @return mixed
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * @param mixed $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }

    /**
     * @return mixed
     */
    public function getCognom1()
    {
        return $this->cognom1;
    }

    /**
     * @param mixed $cognom1
     */
    public function setCognom1($cognom1)
    {
        $this->cognom1 = $cognom1;
    }

    /**
     * @return mixed
     */
    public function getCognom2()
    {
        return $this->cognom2;
    }

    /**
     * @param mixed $cognom2
     */
    public function setCognom2($cognom2)
    {
        $this->cognom2 = $cognom2;
    }

    /**
     * @return mixed
     */
    public function getTelefon()
    {
        return $this->telefon;
    }

    /**
     * @param mixed $telefon1
     */
    public function setTelefon($telefon)
    {
        $this->telefon = $telefon;
    }


    /**
     * @return mixed
     */
    public function getDireccio()
    {
        return $this->direccio;
    }

    /**
     * @param mixed $direccio
     */
    public function setDireccio($direccio)
    {
        $this->direccio = $direccio;
    }

    /**
     * @return mixed
     */
    public function getCodiPostal()
    {
        return $this->codi_postal;
    }

    /**
     * @param mixed $codi_postal
     */
    public function setCodiPostal($codi_postal)
    {
        $this->codi_postal = $codi_postal;
    }

    /**
     * @return mixed
     */
    public function getCiutat()
    {
        return $this->ciutat;
    }

    /**
     * @param mixed $ciutat
     */
    public function setCiutat($ciutat)
    {
        $this->ciutat = $ciutat;
    }

    /**
     * @return mixed
     */
    public function getPais()
    {
        return $this->pais;
    }

    /**
     * @param mixed $pais
     */
    public function setPais($pais)
    {
        $this->pais = $pais;
    }

    /**
     * @return mixed
     */
    public function getBiografia()
    {
        return $this->biografia;
    }

    /**
     * @param mixed $biografia
     */
    public function setBiografia($biografia)
    {
        $this->biografia = $biografia;
    }

    /**
     * @return mixed
     */
    public function getImatge()
    {
        return $this->imatge;
    }

    /**
     * @param mixed $imatge
     */
    public function setImatge($imatge)
    {
        $this->imatge = $imatge;
    }

    public function getRoles()
    {
        return array('ROLE_USUARI');
    }

    public function getPassword()
    {
        //die($this->contrasenya);
        return $this->contrasenya;
    }

    public function getSalt()
    {
        // TODO: Implement getSalt() method.
    }

    public function getUsername()
    {
        return $this->dni;
    }

    public function eraseCredentials()
    {
        // TODO: Implement eraseCredentials() method.
    }


    public function __toString()
    {
        return $this->getNom().' '.$this->getCognom1(). ' '. $this->getCognom2();
    }

    public function __construct()
    {
        $this->rols = new ArrayCollection();
    }


}
