<?php

namespace Intranet\IntranetBundle\Form;

use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;

class MissatgeType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $usuari = $options['empty_data'];
        $builder
            ->add ('receptor', EntityType::class, array(
                'class' => 'IntranetBundle:Usuari',
                'query_builder' => function($er) use ($usuari){
                    return $er->createQueryBuilder('u')->orderBy('u.cognom1', 'ASC');
                },
                'choice_label' => function($usuari){
                    return $usuari->getCognom1()." ".$usuari->getCognom2(). ", ".$usuari->getNom();
                },
                'label' => 'Per:',
                'attr' => array(
                    'class' => 'form-control'
                )
            ))
            ->add('titol', TextType::class, array(
                'label' => 'Titol',
                'required' => 'required',
                'attr' => array(
                    'class' => 'form-control'
                )
            ))
            ->add('contingut', TextareaType::class, array(
                'label' => 'Missatge',
                'required' => 'required',
                'attr' => array(
                    'class' => 'form-control'
                )
            ))
            ->add('arxiu', FileType::class, array(
                'label' => 'Arxiu',
                'required' => false,
                'data_class' => null,
                'attr' => array(
                    'class' => 'form-control'
                )
            ))
            ->add('Enviar', SubmitType::class, array(
                'attr' => array(
                    'class' => 'form-submit form-control'
                )
            ));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'Intranet\IntranetBundle\Entity\Missatge'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'intranet_intranetbundle_missatge';
    }


}
