<?php

namespace Intranet\IntranetBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\Extension\Core\Type\CountryType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;

class PerfilType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('mail_extern', EmailType::class, array(
                'label' => 'Correu extern',
                'required' => false,
                'attr' => array(
                    'class' => 'form-email form-control'
                )
            ))
            ->add('contrasenya', PasswordType::class, array(
                'label' => 'Contrasenya',
                'required' => false,
                'attr' => array(
                    'class' => 'form-password form-control'
                )
            ))
            ->add('telefon', TextType::class, array(
                'label' => 'Telefon 1',
                'required' => false,
                'attr' => array(
                    'class' => 'form-phone form-control'
                )
            ))
            ->add('direccio', TextType::class, array(
                'label' => 'Adreça',
                'required' => false,
                'attr' => array(
                    'class' => 'form-path form-control'
                )
            ))
            ->add('codi_postal', TextType::class, array(
                'label' => 'Codi postal',
                'required' => false,
                'attr' => array(
                    'class' => 'form-postal form-control'
                )
            ))
            ->add('ciutat', TextType::class, array(
                'label' => 'Ciutat',
                'required' => false,
                'attr' => array(
                    'class' => 'form-city form-control'
                )
            ))
            ->add('pais', TextType::class, array(
                'label' => 'Pais',
                'required' => false,
                'attr' => array(
                    'class' => 'form-country form-control'
                )
            ))
            ->add('biografia', TextareaType::class, array(
                'label' => 'Biografia',
                'required' => false,
                'attr' => array(
                    'class' => 'form-bio form-control'
                )
            ))
            ->add('imatge', FileType::class, array(
                'label' => 'Imatge',
                'required' => false,
                'data_class' => null,
                'attr' => array(
                    'class' => 'form-image form-control'
                )
            ))
            ->add('Actualitzar dades', SubmitType::class, array(
                'attr' => array(
                    'class' => 'form-submit form-control'
                )
            ));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'Intranet\IntranetBundle\Entity\Usuari'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'intranet_intranetbundle_usuari';
    }


}
